<?php
/**
 * A script to redirect to a given URL, used for example in IMP to hide any
 * referrer data being passed to the remote server and potentially exposing any
 * session IDs.
 *
 * If an "untrusted" parameter is set, it passes the content of the given URL
 * through to the browser if it doesn't belong to the local site. This can be
 * used to avoid calling local URLs for example by image src attributes.
 *
 * Copyright 2003-2004 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (LGPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * $Horde: horde/services/go.php,v 1.5 2004/08/12 03:29:26 chuck Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.5 $
 */

if (!empty($_GET['untrusted'])) {
    $url = @parse_url($_GET['url']);
    if (!empty($url) &&
        !empty($url['host']) &&
        (empty($_SERVER['SERVER_NAME']) ||
         $_SERVER['SERVER_NAME'] != $url['host']) &&
        (empty($_SERVER['HTTP_HOST']) ||
         $_SERVER['HTTP_HOST'] != $url['host'])) {
        readfile($_GET['url']);
    }
    exit;
}

header('Refresh: 0; URL=' . $_GET['url']);
